Skip to main content
GET
/
jobs
/
{jobId}
/
revisions
List job revisions
curl --request GET \
  --url https://api.blaxel.ai/v0/jobs/{jobId}/revisions \
  --header 'Authorization: Bearer <token>'
[
  {
    "active": true,
    "canary": true,
    "createdAt": "<string>",
    "createdBy": "<string>",
    "id": "<string>",
    "previousActive": true,
    "status": "<string>",
    "trafficPercent": 123
  }
]

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

jobId
string
required

Name of the job

Response

200 - application/json

successful operation

active
boolean

Is the revision active

canary
boolean

Is the revision canary

createdAt
string
read-only

Revision created at

createdBy
string
read-only

Revision created by

id
string
read-only

Revision ID

previousActive
boolean

Is the revision previous active

status
string
read-only

Status of the revision

trafficPercent
integer

Percent of traffic to the revision

Last modified on June 2, 2026